Bug 206148 - NullPointerException at java.io.DataOutputStream.writeUTF
NullPointerException at java.io.DataOutputStream.writeUTF
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 15:39 UTC by akochnev
Modified: 2012-09-27 15:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.81 KB, text/plain)
2011-12-08 15:39 UTC, akochnev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akochnev 2011-12-08 15:39:51 UTC
Build: NetBeans IDE Dev (Build 20111129-f4725a93d776)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Linux

User Comments:
akochnev: Trying to save a profiler snapshot




Stacktrace: 
java.lang.NullPointerException
   at java.io.DataOutputStream.writeUTF(DataOutputStream.java:330)
   at java.io.DataOutputStream.writeUTF(DataOutputStream.java:306)
   at org.netbeans.lib.profiler.results.cpu.CPUCCTContainer.writeToStream(CPUCCTContainer.java:343)
   at org.netbeans.lib.profiler.results.cpu.CPUResultsSnapshot.writeToStream(CPUResultsSnapshot.java:398)
   at org.netbeans.modules.profiler.LoadedSnapshot.save(LoadedSnapshot.java:307)
   at org.netbeans.modules.profiler.ResultsManager.saveSnapshot(ResultsManager.java:806)
Comment 1 akochnev 2011-12-08 15:39:53 UTC
Created attachment 113964 [details]
stacktrace
Comment 2 Tomas Hurka 2012-03-22 19:13:01 UTC
Hopefully fixed in profiler-main.

changeset:   215546:7fc36326dbca
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Mar 22 20:11:36 2012 +0100
summary:     bugfix #206148, do not write sample to event buffer if there is pending request to reset collectors; do not call writeThreadInfo() if there is no change in the stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo